> ## Documentation Index
> Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List files on the MiniMax API Platform.



## OpenAPI

````yaml /api-reference/file/management/api/openapi.json GET /v1/files/list
openapi: 3.1.0
info:
  title: MiniMax File Management API
  description: >-
    MiniMax file management API for uploading, retrieving, listing, and deleting
    files
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.minimax.io
security:
  - bearerAuth: []
paths:
  /v1/files/list:
    get:
      tags:
        - Files
      summary: List Files
      operationId: listFiles
      parameters:
        - name: purpose
          in: query
          required: true
          description: >-
            The purpose category of the files to list. The values and supported
            formats are as follows:


            1. __voice_clone__: For quick cloning of the original voice file
            (supports mp3, m4a, wav formats).

            2. __prompt_audio__: Sample audio for voice cloning (supports mp3,
            m4a, wav formats).

            3. __t2a_async_input__: Text file in the request body for
            asynchronous long-text-to-speech synthesis (supports txt, zip
            formats).
          schema:
            type: string
            enum:
              - voice_clone
              - prompt_audio
              - t2a_async_input
            example: t2a_async_input
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFileResp'
components:
  schemas:
    ListFileResp:
      type: object
      properties:
        files:
          type: array
          items:
            $ref: '#/components/schemas/FileObject'
          description: List of files
        base_resp:
          $ref: '#/components/schemas/ListRetrieveDeleteFileBaseResp'
      example:
        files:
          - file_id: ${file_id}
            bytes: 5896337
            created_at: 1699964873
            filename: 297990555456011.tar
            purpose: t2a_async_input
          - file_id: ${file_id}
            bytes: 5896337
            created_at: 1700469398
            filename: 297990555456911.tar
            purpose: t2a_async_input
        base_resp:
          status_code: 0
          status_msg: success
    FileObject:
      type: object
      properties:
        file_id:
          type: integer
          format: int64
          description: The unique identifier for the file.
        bytes:
          type: integer
          format: int64
          description: The size of the file in bytes.
        created_at:
          type: integer
          format: int64
          description: The Unix timestamp (in seconds) when the file was created.
        filename:
          type: string
          description: The name of the file.
        purpose:
          type: string
          description: The purpose of the file.
    ListRetrieveDeleteFileBaseResp:
      type: object
      properties:
        status_code:
          type: integer
          description: |-
            The status codes are as follows:
            - 1000, Unknown error;
            - 1001, Timeout;
            - 1002, RPM limit triggered;
            - 1004, Authentication failed;
            - 1008, Insufficient balance;
            - 1013, Internal service error;
            - 1026, Input content error;
            - 1027, Output content error;
            - 1039, TPM limit triggered;
            - 2013, Abnormal input format.

             For more information, please refer to the [Error Code Reference](/api-reference/errorcode).
        status_msg:
          type: string
          description: Status details.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        `HTTP: Bearer Auth`

        - Security Scheme Type: http

        - HTTP Authorization Scheme: `Bearer API_key`, can be found in [Account
        Management>API
        Keys](https://platform.minimax.io/user-center/basic-information/interface-key).

````